Arvados - Feature #16435

Option to choose permission level in sync-groups
05/18/2020 03:08 PM - Peter Amstutz

Status: Resolved Start date: 05/21/2020
Priority: Normal Due date:

Assigned To: Lucas Di Pentima % Done: 100%
Category: SDKs Estimated time: 0.00 hour
Target version: 2020-06-03 Sprint

Description

sync-groups grants users "can_write" to groups.

This needs to be configurable.

Subtasks:
Task # 16456: Review 16435-sync-groups-perm-levels

Resolved

Associated revisions

Revision 33c70b07 - 05/27/2020 07:04 PM - Lucas Di Pentima

Merge branch '16435-sync-groups-perm-levels'
Closes #16435

Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas@di-pentima.com.ar>

History

#1 - 05/18/2020 03:09 PM - Peter Amstutz

- Description updated

#2 - 05/18/2020 03:13 PM - Peter Amstutz

- Release set to 33

#3 - 05/18/2020 03:15 PM - Peter Amstutz
- Category set to SDKs

#4 - 05/18/2020 05:41 PM - Lucas Di Pentima

- Assigned To set to Lucas Di Pentima

#5 - 05/20/2020 06:57 PM - Lucas Di Pentima

- Status changed from New to In Progress

#6 - 05/21/2020 11:16 PM - Lucas Di Pentima

Updates at 3cc81d120 - branch 16435-sync-groups-perm-levels
Test run: https://ci.arvados.org/job/developer-run-tests/1871/

e Adds ability to control permission level on a third field of every CSV record. Possible values are: can_read, can_write, can_manage.
¢ |t understands the previous format: when a record has only 2 fields, the default permission level is can_write.

* Adds new tests, updates others.
e Updates documentation.

#7 - 05/27/2020 07:01 PM - Peter Amstutz
Lucas Di Pentima wrote:

Updates at 3cc81d120 - branch 16435-sync-groups-perm-levels
Test run: https://ci.arvados.org/job/developer-run-tests/1871/

e Adds ability to control permission level on a third field of every CSV record. Possible values are: can_read, can_write, can_manage.

e |t understands the previous format: when a record has only 2 fields, the default permission level is can_write.

e Adds new tests, updates others.
¢ Updates documentation.
This LGTM.

#8 - 05/27/2020 07:49 PM - Anonymous

- Status changed from In Progress to Resolved

Applied in changeset arvados|33¢70b07361d9d08814a5c324282e7{39e2879f9.
